import { CosmiconfigResult, OptionsBase as CosmicOptions } from './cosmiconfig/types';
import { DocumentationOptions, STFS } from './types';
export { propsToDocumentation } from './props-to-nodes';
export * from './types';
/**
 * deep merge of documentation configurations, by replacing array members (ie sections, columns)
 */
export declare const mergeConfig: (dest: DocumentationOptions, src: DocumentationOptions) => DocumentationOptions;
/**
 * Options for configuration file
 */
export interface ConfigOptions {
    /**
     * optional virtual file system, to use in environments like vscode web
     */
    fs?: STFS;
    /**
     * an optional element id. If not, the elements will be micromatch'ed based on relative path from configuration
     */
    elementId?: string;
    /**
     * cosmiconfig options
     */
    cosmic?: Omit<CosmicOptions, 'fs'>;
}
/**
 * Read the api-docs configuration file
 * @param fileName the file that is being analyzed, will be used the starting folder to search for configuration files.
 * @param configFileName pass directly the configuration file name
 * @param options optional configuration options
 * @returns page generation options from the config file
 */
export declare const apiDocsConfig: (fileName: string, configFileName?: string | undefined, options?: ConfigOptions | undefined) => Promise<CosmiconfigResult>;
export { getRepoPath } from './package-info/package-info';
